### Method

# Gimp Pattern get_buffer

#### Declaration [src]

    GeglBuffer*
    gimp_pattern_get_buffer (
      GimpPattern* pattern,
      gint max_width,
      gint max_height,
      const Babl* format
    )

#### Description [src]

Gets pixel data of the pattern within the bounding box specified by `max_width` and `max_height`. The data will be scaled down so that it fits within this size without changing its ratio. If the pattern is smaller than this size to begin with, it will not be scaled up.

If `max_width` or `max_height` are 0, the buffer is returned in the pattern’s native size.

Make sure you called `gegl_init()` before calling any function using `GEGL`.

#### Parameters

`max_width`

  Type: `gint`

  A maximum width for the returned buffer.

`max_height`

  Type: `gint`

  A maximum height for the returned buffer.

`format`

  Type: `Babl`

  An optional Babl format.

  The data is owned by the caller of the method.

#### Return value

Type: `GeglBuffer`

A `GeglBuffer`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.